View Issue Details

IDProjectCategoryView StatusLast Update
0029257LazarusPackagespublic2016-01-08 11:33
ReporterPéter GáborAssigned ToMaciej Izak 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.7 (SVN) 
Summary0029257: sparta_DockedFormEditor: localization support (patch)
DescriptionAttached patch implements localization support for sparta_DockedFormEditor
Tagspatch
Fixed in Revision51207
LazTarget-
Widgetset
Attached Files
  • sparta_dockedformeditor_localization.diff (6,849 bytes)
    Index: components/sparta/dockedformeditor/source/sparta_mainide.pas
    ===================================================================
    --- components/sparta/dockedformeditor/source/sparta_mainide.pas	(revision 51033)
    +++ components/sparta/dockedformeditor/source/sparta_mainide.pas	(working copy)
    @@ -32,7 +32,7 @@
     {$ELSE}
       ghashmap, sparta_HashUtils, gvector,
     {$ENDIF}
    -  TypInfo, LCLIntf, LCLType, LMessages, sparta_FakeForm, sparta_FakeFrame, SpartaAPI;
    +  TypInfo, LCLIntf, LCLType, LMessages, sparta_FakeForm, sparta_FakeFrame, SpartaAPI, sparta_strconsts;
     
     const
       WM_SETNOFRAME = WM_USER;
    @@ -1323,12 +1323,12 @@
     
         LNewTabSheet := TTabSheet.Create(Result);
         LNewTabSheet.PageControl := Result;
    -    LNewTabSheet.Caption := 'Code';
    +    LNewTabSheet.Caption := SCode;
         LSourceEditor.EditorControl.Parent := LNewTabSheet;  // ! SynEdit :)
     
         LNewTabSheet := TTabSheet.Create(Result);
         LNewTabSheet.PageControl := Result;
    -    LNewTabSheet.Caption := 'Designer';
    +    LNewTabSheet.Caption := SDesigner;
     
         Result.OnChange := TabChange;
     
    Index: components/sparta/dockedformeditor/source/sparta_resizer.pas
    ===================================================================
    --- components/sparta/dockedformeditor/source/sparta_resizer.pas	(revision 51033)
    +++ components/sparta/dockedformeditor/source/sparta_resizer.pas	(working copy)
    @@ -18,7 +18,7 @@
     
     uses
       Classes, SysUtils, Controls, ExtCtrls, sparta_ResizerFrame, sparta_DesignedForm, Forms, Math, StdCtrls,
    -  LCLType, LazIDEIntf, Buttons, SpartaAPI, Dialogs,
    +  LCLType, LazIDEIntf, Buttons, SpartaAPI, Dialogs, sparta_strconsts,
     {$IFDEF USE_GENERICS_COLLECTIONS}
       Generics.Defaults,
     {$ENDIF}
    Index: components/sparta/dockedformeditor/source/sparta_resizerframe.pas
    ===================================================================
    --- components/sparta/dockedformeditor/source/sparta_resizerframe.pas	(revision 51033)
    +++ components/sparta/dockedformeditor/source/sparta_resizerframe.pas	(working copy)
    @@ -18,7 +18,7 @@
     
     uses
       Classes, contnrs, SysUtils, FileUtil, Forms, Controls, ExtCtrls, StdCtrls, Graphics, LCLType,
    -  lclintf, sparta_DesignedForm, Math, FormEditingIntf, PropEdits;
    +  lclintf, sparta_DesignedForm, Math, FormEditingIntf, PropEdits, sparta_strconsts;
     
     type
     
    @@ -126,9 +126,6 @@
         property HorizontalScrollPos: Integer read FHorizontalScrollPos write FHorizontalScrollPos;
       end;
     
    -resourcestring
    -  SArgumentOutOfRange = 'Argument out of range';
    -
     implementation
     
     {$R *.lfm}
    Index: components/sparta/dockedformeditor/sparta_dockedformeditor.lpk
    ===================================================================
    --- components/sparta/dockedformeditor/sparta_dockedformeditor.lpk	(revision 51033)
    +++ components/sparta/dockedformeditor/sparta_dockedformeditor.lpk	(working copy)
    @@ -22,7 +22,7 @@
             <CustomOptions Value="$(IDEBuildOptions)"/>
           </Other>
         </CompilerOptions>
    -    <Files Count="11">
    +    <Files Count="12">
           <Item1>
             <Filename Value="source\sparta_reg_dockedformeditor.pas"/>
             <HasRegisterProc Value="True"/>
    @@ -68,7 +68,16 @@
             <Filename Value="source\sparta_hashutils.pas"/>
             <UnitName Value="sparta_HashUtils"/>
           </Item11>
    +      <Item12>
    +        <Filename Value="sparta_strconsts.pas"/>
    +        <UnitName Value="sparta_strconsts"/>
    +      </Item12>
         </Files>
    +    <i18n>
    +      <EnableI18N Value="True"/>
    +      <OutDir Value="language"/>
    +      <EnableI18NForLFM Value="True"/>
    +    </i18n>
         <RequiredPkgs Count="1">
           <Item1>
             <PackageName Value="IDEIntf"/>
    Index: components/sparta/dockedformeditor/sparta_dockedformeditor.pas
    ===================================================================
    --- components/sparta/dockedformeditor/sparta_dockedformeditor.pas	(revision 51033)
    +++ components/sparta/dockedformeditor/sparta_dockedformeditor.pas	(working copy)
    @@ -7,17 +7,13 @@
     interface
     
     uses
    -  sparta_reg_DockedFormEditor, sparta_DesignedForm, sparta_Resizer, 
    -  sparta_ResizerFrame, SpartaAPI, sparta_FakeCustom, sparta_FakeForm, 
    -  sparta_FakeFrame, sparta_FakeNonControl, sparta_MainIDE, sparta_HashUtils, 
    -  LazarusPackageIntf;
    +  sparta_reg_DockedFormEditor, sparta_DesignedForm, sparta_Resizer, sparta_ResizerFrame, SpartaAPI, sparta_FakeCustom, sparta_FakeForm, sparta_FakeFrame, sparta_FakeNonControl, sparta_MainIDE, sparta_HashUtils, sparta_strconsts, LazarusPackageIntf;
     
     implementation
     
     procedure Register;
     begin
    -  RegisterUnit('sparta_reg_DockedFormEditor', 
    -    @sparta_reg_DockedFormEditor.Register);
    +  RegisterUnit('sparta_reg_DockedFormEditor', @sparta_reg_DockedFormEditor.Register);
     end;
     
     initialization
    Index: components/sparta/dockedformeditor/sparta_strconsts.pas
    ===================================================================
    --- components/sparta/dockedformeditor/sparta_strconsts.pas	(revision 0)
    +++ components/sparta/dockedformeditor/sparta_strconsts.pas	(working copy)
    @@ -0,0 +1,15 @@
    +unit sparta_strconsts;
    +
    +{$mode objfpc}{$H+}
    +
    +interface
    +
    +resourcestring
    +  SArgumentOutOfRange = 'Argument out of range';
    +  SCode = 'Code';
    +  SDesigner = 'Designer';
    +
    +implementation
    +
    +end.
    +
    Index: components/sparta/dockedformeditor/language/sparta_strconsts.hu.po
    ===================================================================
    --- components/sparta/dockedformeditor/language/sparta_strconsts.hu.po	(revision 0)
    +++ components/sparta/dockedformeditor/language/sparta_strconsts.hu.po	(working copy)
    @@ -0,0 +1,27 @@
    +#
    +msgid ""
    +msgstr ""
    +"Project-Id-Version: \n"
    +"POT-Creation-Date: \n"
    +"PO-Revision-Date: \n"
    +"Last-Translator: Péter Gábor <ptrg@freemail.hu>\n"
    +"Language-Team: Magyar (Hungarian)\n"
    +"Language: hu\n"
    +"MIME-Version: 1.0\n"
    +"Content-Type: text/plain; charset=UTF-8\n"
    +"Content-Transfer-Encoding: 8bit\n"
    +"X-Generator: Poedit 1.5.4\n"
    +
    +#: sparta_strconsts.sargumentoutofrange
    +msgid "Argument out of range"
    +msgstr "Az argumentum a tartományon kívül esik"
    +
    +#: sparta_strconsts.scode
    +msgctxt "sparta_strconsts.scode"
    +msgid "Code"
    +msgstr "Kód"
    +
    +#: sparta_strconsts.sdesigner
    +msgctxt "sparta_strconsts.sdesigner"
    +msgid "Designer"
    +msgstr "Tervező"
    Index: components/sparta/dockedformeditor/language/sparta_strconsts.po
    ===================================================================
    --- components/sparta/dockedformeditor/language/sparta_strconsts.po	(revision 0)
    +++ components/sparta/dockedformeditor/language/sparta_strconsts.po	(working copy)
    @@ -0,0 +1,17 @@
    +msgid ""
    +msgstr "Content-Type: text/plain; charset=UTF-8"
    +
    +#: sparta_strconsts.sargumentoutofrange
    +msgid "Argument out of range"
    +msgstr ""
    +
    +#: sparta_strconsts.scode
    +msgctxt "sparta_strconsts.scode"
    +msgid "Code"
    +msgstr ""
    +
    +#: sparta_strconsts.sdesigner
    +msgctxt "sparta_strconsts.sdesigner"
    +msgid "Designer"
    +msgstr ""
    +
    

Activities

Péter Gábor

2015-12-26 16:01

reporter  

sparta_dockedformeditor_localization.diff (6,849 bytes)
Index: components/sparta/dockedformeditor/source/sparta_mainide.pas
===================================================================
--- components/sparta/dockedformeditor/source/sparta_mainide.pas	(revision 51033)
+++ components/sparta/dockedformeditor/source/sparta_mainide.pas	(working copy)
@@ -32,7 +32,7 @@
 {$ELSE}
   ghashmap, sparta_HashUtils, gvector,
 {$ENDIF}
-  TypInfo, LCLIntf, LCLType, LMessages, sparta_FakeForm, sparta_FakeFrame, SpartaAPI;
+  TypInfo, LCLIntf, LCLType, LMessages, sparta_FakeForm, sparta_FakeFrame, SpartaAPI, sparta_strconsts;
 
 const
   WM_SETNOFRAME = WM_USER;
@@ -1323,12 +1323,12 @@
 
     LNewTabSheet := TTabSheet.Create(Result);
     LNewTabSheet.PageControl := Result;
-    LNewTabSheet.Caption := 'Code';
+    LNewTabSheet.Caption := SCode;
     LSourceEditor.EditorControl.Parent := LNewTabSheet;  // ! SynEdit :)
 
     LNewTabSheet := TTabSheet.Create(Result);
     LNewTabSheet.PageControl := Result;
-    LNewTabSheet.Caption := 'Designer';
+    LNewTabSheet.Caption := SDesigner;
 
     Result.OnChange := TabChange;
 
Index: components/sparta/dockedformeditor/source/sparta_resizer.pas
===================================================================
--- components/sparta/dockedformeditor/source/sparta_resizer.pas	(revision 51033)
+++ components/sparta/dockedformeditor/source/sparta_resizer.pas	(working copy)
@@ -18,7 +18,7 @@
 
 uses
   Classes, SysUtils, Controls, ExtCtrls, sparta_ResizerFrame, sparta_DesignedForm, Forms, Math, StdCtrls,
-  LCLType, LazIDEIntf, Buttons, SpartaAPI, Dialogs,
+  LCLType, LazIDEIntf, Buttons, SpartaAPI, Dialogs, sparta_strconsts,
 {$IFDEF USE_GENERICS_COLLECTIONS}
   Generics.Defaults,
 {$ENDIF}
Index: components/sparta/dockedformeditor/source/sparta_resizerframe.pas
===================================================================
--- components/sparta/dockedformeditor/source/sparta_resizerframe.pas	(revision 51033)
+++ components/sparta/dockedformeditor/source/sparta_resizerframe.pas	(working copy)
@@ -18,7 +18,7 @@
 
 uses
   Classes, contnrs, SysUtils, FileUtil, Forms, Controls, ExtCtrls, StdCtrls, Graphics, LCLType,
-  lclintf, sparta_DesignedForm, Math, FormEditingIntf, PropEdits;
+  lclintf, sparta_DesignedForm, Math, FormEditingIntf, PropEdits, sparta_strconsts;
 
 type
 
@@ -126,9 +126,6 @@
     property HorizontalScrollPos: Integer read FHorizontalScrollPos write FHorizontalScrollPos;
   end;
 
-resourcestring
-  SArgumentOutOfRange = 'Argument out of range';
-
 implementation
 
 {$R *.lfm}
Index: components/sparta/dockedformeditor/sparta_dockedformeditor.lpk
===================================================================
--- components/sparta/dockedformeditor/sparta_dockedformeditor.lpk	(revision 51033)
+++ components/sparta/dockedformeditor/sparta_dockedformeditor.lpk	(working copy)
@@ -22,7 +22,7 @@
         <CustomOptions Value="$(IDEBuildOptions)"/>
       </Other>
     </CompilerOptions>
-    <Files Count="11">
+    <Files Count="12">
       <Item1>
         <Filename Value="source\sparta_reg_dockedformeditor.pas"/>
         <HasRegisterProc Value="True"/>
@@ -68,7 +68,16 @@
         <Filename Value="source\sparta_hashutils.pas"/>
         <UnitName Value="sparta_HashUtils"/>
       </Item11>
+      <Item12>
+        <Filename Value="sparta_strconsts.pas"/>
+        <UnitName Value="sparta_strconsts"/>
+      </Item12>
     </Files>
+    <i18n>
+      <EnableI18N Value="True"/>
+      <OutDir Value="language"/>
+      <EnableI18NForLFM Value="True"/>
+    </i18n>
     <RequiredPkgs Count="1">
       <Item1>
         <PackageName Value="IDEIntf"/>
Index: components/sparta/dockedformeditor/sparta_dockedformeditor.pas
===================================================================
--- components/sparta/dockedformeditor/sparta_dockedformeditor.pas	(revision 51033)
+++ components/sparta/dockedformeditor/sparta_dockedformeditor.pas	(working copy)
@@ -7,17 +7,13 @@
 interface
 
 uses
-  sparta_reg_DockedFormEditor, sparta_DesignedForm, sparta_Resizer, 
-  sparta_ResizerFrame, SpartaAPI, sparta_FakeCustom, sparta_FakeForm, 
-  sparta_FakeFrame, sparta_FakeNonControl, sparta_MainIDE, sparta_HashUtils, 
-  LazarusPackageIntf;
+  sparta_reg_DockedFormEditor, sparta_DesignedForm, sparta_Resizer, sparta_ResizerFrame, SpartaAPI, sparta_FakeCustom, sparta_FakeForm, sparta_FakeFrame, sparta_FakeNonControl, sparta_MainIDE, sparta_HashUtils, sparta_strconsts, LazarusPackageIntf;
 
 implementation
 
 procedure Register;
 begin
-  RegisterUnit('sparta_reg_DockedFormEditor', 
-    @sparta_reg_DockedFormEditor.Register);
+  RegisterUnit('sparta_reg_DockedFormEditor', @sparta_reg_DockedFormEditor.Register);
 end;
 
 initialization
Index: components/sparta/dockedformeditor/sparta_strconsts.pas
===================================================================
--- components/sparta/dockedformeditor/sparta_strconsts.pas	(revision 0)
+++ components/sparta/dockedformeditor/sparta_strconsts.pas	(working copy)
@@ -0,0 +1,15 @@
+unit sparta_strconsts;
+
+{$mode objfpc}{$H+}
+
+interface
+
+resourcestring
+  SArgumentOutOfRange = 'Argument out of range';
+  SCode = 'Code';
+  SDesigner = 'Designer';
+
+implementation
+
+end.
+
Index: components/sparta/dockedformeditor/language/sparta_strconsts.hu.po
===================================================================
--- components/sparta/dockedformeditor/language/sparta_strconsts.hu.po	(revision 0)
+++ components/sparta/dockedformeditor/language/sparta_strconsts.hu.po	(working copy)
@@ -0,0 +1,27 @@
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: \n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: \n"
+"Last-Translator: Péter Gábor <ptrg@freemail.hu>\n"
+"Language-Team: Magyar (Hungarian)\n"
+"Language: hu\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#: sparta_strconsts.sargumentoutofrange
+msgid "Argument out of range"
+msgstr "Az argumentum a tartományon kívül esik"
+
+#: sparta_strconsts.scode
+msgctxt "sparta_strconsts.scode"
+msgid "Code"
+msgstr "Kód"
+
+#: sparta_strconsts.sdesigner
+msgctxt "sparta_strconsts.sdesigner"
+msgid "Designer"
+msgstr "Tervező"
Index: components/sparta/dockedformeditor/language/sparta_strconsts.po
===================================================================
--- components/sparta/dockedformeditor/language/sparta_strconsts.po	(revision 0)
+++ components/sparta/dockedformeditor/language/sparta_strconsts.po	(working copy)
@@ -0,0 +1,17 @@
+msgid ""
+msgstr "Content-Type: text/plain; charset=UTF-8"
+
+#: sparta_strconsts.sargumentoutofrange
+msgid "Argument out of range"
+msgstr ""
+
+#: sparta_strconsts.scode
+msgctxt "sparta_strconsts.scode"
+msgid "Code"
+msgstr ""
+
+#: sparta_strconsts.sdesigner
+msgctxt "sparta_strconsts.sdesigner"
+msgid "Designer"
+msgstr ""
+

Juha Manninen

2016-01-03 00:24

developer   ~0088535

Maciej ping...
There is a patch.

Maciej Izak

2016-01-05 16:15

developer   ~0088659

Thanks for the patch! Sorry for delay.

Issue History

Date Modified Username Field Change
2015-12-26 16:01 Péter Gábor New Issue
2015-12-26 16:01 Péter Gábor File Added: sparta_dockedformeditor_localization.diff
2015-12-28 00:15 Maxim Ganetsky Assigned To => Maciej Izak
2015-12-28 00:15 Maxim Ganetsky Status new => assigned
2016-01-03 00:21 Juha Manninen Tag Attached: patch
2016-01-03 00:24 Juha Manninen Note Added: 0088535
2016-01-05 16:15 Maciej Izak Fixed in Revision => 51207
2016-01-05 16:15 Maciej Izak LazTarget => -
2016-01-05 16:15 Maciej Izak Note Added: 0088659
2016-01-05 16:15 Maciej Izak Status assigned => resolved
2016-01-05 16:15 Maciej Izak Fixed in Version => 1.7 (SVN)
2016-01-05 16:15 Maciej Izak Resolution open => fixed
2016-01-08 11:33 Péter Gábor Status resolved => closed